> For the complete documentation index, see [llms.txt](https://docs.weatherlayers.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.weatherlayers.com/weatherlayers-gl/controls/control.md).

# Control

Parent control

### Constructor

#### `Control(config: ControlConfig = {})`

### Methods

#### `addTo(target: HTMLElement): void`

Appends the control to the DOM as a child of the given `target`.

#### `prependTo(target: HTMLElement): void`

Prepends the control to the DOM as a child of the given `target`.

#### `remove(): void`

Removes the control from the DOM.

#### `setConfig(config: ControlConfig): void`

Updates the control config.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.weatherlayers.com/weatherlayers-gl/controls/control.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
